summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/gana-update.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/contrib/gana-update.sh b/contrib/gana-update.sh
index b353d224f..8fcf18852 100755
--- a/contrib/gana-update.sh
+++ b/contrib/gana-update.sh
@@ -8,7 +8,14 @@ set -eu
cd contrib/gana/gnu-taler-error-codes
make
cd ../../..
-for n in taler_error_codes.h taler_error_codes.c
+for n in taler_error_codes.c
+do
+ if ! diff contrib/gana/gnu-taler-error-codes/${n} src/util/${n} > /dev/null
+ then
+ cp contrib/gana/gnu-taler-error-codes/$n src/util/$n
+ fi
+done
+for n in taler_error_codes.h
do
if ! diff contrib/gana/gnu-taler-error-codes/${n} src/include/${n} > /dev/null
then